extends Node2D
class_name Intro

signal finished

@onready var sprite: AnimatedSprite2D = $AnimatedSprite2D

func _process(_delta: float) -> void:
	if Input.is_action_just_pressed("ui_cancel"):
		done()

func _on_animation_finished():
	done()

func start() -> void:
	sprite.play("default")

func done() -> void:
	Config.show_tutorial = false
	Config.save()
	finished.emit()
